/************************************************************************
*									*
* The XOLDT System							*
* Author: David S. Warren						*
* V1.0 Copyright SUNY Stony Brook, 1992					*
* This code is distributed WITHOUT ANY WARRANTY.			*
*									*
************************************************************************/

/* Load this into user to run the xoldt system. */

:- user:abolish(term_expansion,2).
:- unknown(_,fail).
:- use_module(xoldts).
:- use_module(xoldt_load).
:- use_module(library(lists)).

/* term_expansion must be defined in module user, and it must call
directly into the xoldt_load module. */

:- assertz(user:(
	term_expansion(X,Y) :- !,
		xoldt_load:do_term_expansion(X,Y)
	  )).

